Bug 973942 - quota: list output is not alligned properly
quota: list output is not alligned properly
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Raghavendra G
Saurabh
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 03:24 EDT by Saurabh
Modified: 2016-09-17 08:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 07:42:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-06-13 03:24:16 EDT
Description of problem:
the quota list command is not alligned properly.

Version-Release number of selected component (if applicable):
glusterfs-3.4rhs-1.el6rhs.x86_64

How reproducible:
always

Steps to Reproduce:
1. creat a volume 
2. start it
3. quota enable
4. set some limit
5. quota list

Actual results:
[root@nfs2 ~]# gluster volume quota dit-rep list
	Path		 Hard-limit	 Soft-limit	 Used	 Available
----------------------------------------------------------------------------------
/                           1GB        80%               0Bytes                1.0GB


as per the output, the Path and / are quite far from each other.
soft-limit and 80% does not come in not in line. 
Available and 1.0GB are not quite far from each other

Expected results:
the values should be just below the keywords

Additional info:
Comment 5 Vivek Agarwal 2013-10-17 04:51:44 EDT
Per discussion with Saurabh, removing this from u1 list
Comment 6 Vijaikumar Mallikarjuna 2015-01-12 07:42:22 EST
> From comment# 3
> presently it can work for small path names or names with similar number of
> characters,
> but for long path or long names it may difficult to allign the things,

> may be better if we can break the path in multiple lines
> what do you say?


If user does text-parsing with the output, then it will a problem if path is broken into multiple lines.
Closing bug as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.